Package frc.robot.subsystems.swervedrive2.swervelib.parser.json.modules

## Class LocationJson

- java.lang.Object
- - frc.robot.subsystems.swervedrive2.swervelib.parser.json.modules.LocationJson

-     public class LocationJson
      extends Object

  Location JSON parsed class. Used to access the JSON data. Module locations, in inches, as distances to the center of the robot. Positive x is torwards the robot front, and * +y is torwards robot left.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double` | `x` | Location of the swerve module in inches from the center of the robot horizontally.
    `double` | `y` | Location of the swerve module in inches from the center of the robot vertically.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LocationJson()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### x

          public double x

      Location of the swerve module in inches from the center of the robot horizontally.

    - #### y

          public double y

      Location of the swerve module in inches from the center of the robot vertically.

  - ### Constructor Detail

    - #### LocationJson

          public LocationJson()